Bug 146683 - [NEW PORT] math/levmar: A GPL-licensed library implementing the Levenberg-Marquardt algorithm
Summary: [NEW PORT] math/levmar: A GPL-licensed library implementing the Levenberg-Mar...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-18 00:50 UTC by Eijiro Shibusawa
Modified: 2010-08-25 07:50 UTC (History)
0 users

See Also:


Attachments
file.shar (4.05 KB, text/plain)
2010-05-18 00:50 UTC, Eijiro Shibusawa
no flags Details
levmar_new.sh (4.05 KB, text/plain)
2010-07-31 23:24 UTC, Eijiro Shibusawa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eijiro Shibusawa 2010-05-18 00:50:08 UTC
levmar is a GPL-licensed library written in C, which implements
the Levenberg-Marquardt (LM) optimization algorithm.
The LM algorithm is considered as one of the most effective
method for solving nonlinear least squares problem.

WWW: http://www.ics.forth.gr/~lourakis/levmar/

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-05-18 02:01:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-06-07 07:16:03 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool (ENOTIME to deal with this)
Comment 3 Eijiro Shibusawa 2010-07-31 23:24:04 UTC
Hello,

I have attached a newer shar including the following modifications.
(1) LICENSE macro was added.
(2) MAINTAINER macro was updated.
(3) some minor typos were fixed.

This port was tested on FreeBSD 8.1R on amd64 and i386.
Comment 4 Brendan Fabeny freebsd_committer 2010-08-01 12:25:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 5 dfilter service freebsd_committer 2010-08-25 07:43:05 UTC
bf          2010-08-25 06:42:48 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/levmar          Makefile distinfo pkg-descr 
    math/levmar/files    Makefile.demo Makefile.lib 
  Log:
  Add levmar 2.5, a GPL-licensed library implementing the
  Levenberg-Marquardt algorithm.
  
  PR:             ports/146683
  Submitted by:   Eijiro Shibusawa <ej-sib at ice.uec.ac.jp>
  Approved by:    makc (co-mentor)
  
  Revision  Changes    Path
  1.670     +1 -0      ports/math/Makefile
  1.1       +81 -0     ports/math/levmar/Makefile (new)
  1.1       +3 -0      ports/math/levmar/distinfo (new)
  1.1       +20 -0     ports/math/levmar/files/Makefile.demo (new)
  1.1       +13 -0     ports/math/levmar/files/Makefile.lib (new)
  1.1       +5 -0      ports/math/levmar/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Brendan Fabeny freebsd_committer 2010-08-25 07:47:07 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!